package main

import (
	"enterprise/common/config"
	"enterprise/common/global"
	"enterprise/common/model"
	"enterprise/server"
	_ "enterprise/service/salary_calculator"
	"enterprise/worker"
)

func main() {
	config.LoadServerConfig()
	config.LoadAliPay()
	global.InitGlobal()

	worker.InitCorp()
	//
	approve := worker.NewApproval(1002)
	approve.Sync("202503", model.ApprovalTypeRefund)

	if err := server.Start(); err != nil {
		panic(err)
	}
}
